<?php

# Copyright (c) 2011

run(); # run the main functionality of this software

function run() { # THE MAIN FUNCTION
    error_reporting(E_ALL); # show all errors
    ini_set ('display_errors', 0);
    ini_set ('display_startup_errors', 0);
    ini_set ('zlib.output_compression', 0); # do not commpress
    ob_implicit_flush(1); # do not buffer output
    @set_time_limit(3*60); # max execution time
    require_once('core/common.php'); # load the common functionality library
    fix_input(); # fix/adjust the input data
    require_once('core/MetaSearch.php'); # load the metasearch results class
    $qry = Array(
        'qry_str' => $_REQUEST['qry_str'],
        'qry_id' => $_REQUEST['qry_id'],
        'category' => $_REQUEST['category'],
    );
    $MSE = new MetaSearch($qry);
    $MSE->get_and_display_results($_REQUEST['page'],$_REQUEST['per_page']);
  
}

function fix_input() { # FIX THE CGI SCRIPT INPUT DATA AS WE EXPECTED IT TO BE
    global $out; # we store in the global $out all of the generated so far page html componenets
    $out['start_time'] = hires_time();
    global $HTTP_SERVER_VARS;
    init_keys($_REQUEST,array('qry_str','qry_id','page','per_page','category','d'),1);
    $out['script_url'] ="search";
    $_REQUEST['page'] = preg_replace('/\D/','',$_REQUEST['page']);
    $_REQUEST['per_page'] = preg_replace('/\D/','',$_REQUEST['per_page']);
    if(!$_REQUEST['page']) {
        $_REQUEST['page'] = 1;
    }
    if(!$_REQUEST['d']) {
        $_REQUEST['d'] = 1;
    }
    if($_REQUEST['category']=="web") {
        $_REQUEST['per_page'] = 10;
    }elseif ($_REQUEST['category']=="images") {
        $_REQUEST['per_page'] = 20;
    }elseif ($_REQUEST['category']=="videos") {
        $_REQUEST['per_page'] = 20;
    }elseif ($_REQUEST['category']=="news") {
        $_REQUEST['per_page'] = 10;
    }
    if(!$_REQUEST['category']) {
        $_REQUEST['category'] = 'web';
    }
  
    $out['per_page'] = $_REQUEST['per_page'];


    $out['categories'] = make_categories($_REQUEST['category']);
}

function make_categories($selected_category) {
    global $P;
    $html = '';
    $on_off="";
    $categories = &$P['categories'];
    foreach($categories as $category => $hash) {
    	if($_REQUEST['category']==$category){
    		$on_off="on";
    	}else{
    		$on_off="off";
    	}
        $html .= @<<<EOD
        <li><A class="$on_off" id="tab-$category" onclick="changeSearchTab(this)" href="javascript:void(0);" rel="nofollow">$category</A></li>
EOD;
    }
    return $html;
}

?>
